# Uses of Class
org.apache.lucene.sandbox.facet.cutters.LongValueFacetCutter

Packages that use LongValueFacetCutter
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.

## Uses of LongValueFacetCutter in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet with parameters of type LongValueFacetCutter
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByCountAndLongValueComparable>`
ComparableUtils.`byCount(CountFacetRecorder countFacetRecorder, LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by count (descending) from `CountFacetRecorder` with tie-break by long value (ascending) from `LongValueFacetCutter`.
`static ComparableSupplier<ComparableUtils.ByLongValueComparable>`
ComparableUtils.`byLongValue(LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by long value from `LongValueFacetCutter` (descending).